// =====================================================================
//  $Id: TCamacOutputRegisterModule.cc,v 1.4 2004/03/07 10:30:31 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TCamacOutputRegisterModule.cc,v $
//  Revision 1.4  2004/03/07 10:30:31  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:10  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TCamacOutputRegisterModule.hh"
#include "TDataSegment.hh"
#include "TDataElement.hh"

TCamacOutputRegisterModule::TCamacOutputRegisterModule( TCamacCrateController* cc7x00, Tint slot, Tdata_t datalen )
  : TCamacModule( cc7x00, slot, 0, datalen )
{;}

TCamacOutputRegisterModule::TCamacOutputRegisterModule( const TCamacOutputRegisterModule& right )
  : TCamacModule( right )
{;}

TCamacOutputRegisterModule::~TCamacOutputRegisterModule()
{;}

const TCamacOutputRegisterModule& TCamacOutputRegisterModule::operator=( const TCamacOutputRegisterModule& right )
{
  *( (TCamacModule*)this ) = *( (TCamacModule*)(&right) );
  return *this;
}

Tbool TCamacOutputRegisterModule::operator==( const TCamacOutputRegisterModule& right ) const
{
  return *( (TCamacModule*)this ) == *( (TCamacModule*)(&right) );
}

Tbool TCamacOutputRegisterModule::operator!=( const TCamacOutputRegisterModule& right ) const
{
  return *( (TCamacModule*)this ) != *( (TCamacModule*)(&right) );
}

Tvoid TCamacOutputRegisterModule::FillData( TDataElement& element, Tint channel )
{
  return;
}

Tint TCamacOutputRegisterModule::Pulse( Tint data )
{
  theCamacData = data;
  return execute( 0, 17 );
}

Tint TCamacOutputRegisterModule::Level( Tint data )
{
  theCamacData = data;
  return execute( 0, tCamacWrite );
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TCamacOutputRegisterModule)
#endif
